spe_program_handle Struct Reference

`#include <libspe2-types.h>`

Collaboration diagram for spe_program_handle:

## Data Fields

unsigned int | handle_size
void * | elf_image
void * | toe_shadow

## Detailed Description

SPE program handle Structure spe_program_handle per CESOF specification libspe2 applications usually only keep a pointer to the program handle and do not use the structure directly.

Definition at line 43 of file libspe2-types.h.

## Field Documentation

void* elf_image

Definition at line 50 of file libspe2-types.h.

Referenced by _base_spe_image_close(), _base_spe_image_open(), _base_spe_load_spe_elf(), _base_spe_parse_isolated_elf(), _base_spe_program_load_complete(), _base_spe_toe_ear(), and _base_spe_verify_spe_elf_image().

unsigned int handle_size

Definition at line 49 of file libspe2-types.h.

Referenced by _base_spe_image_open().

void* toe_shadow

Definition at line 51 of file libspe2-types.h.

Referenced by _base_spe_image_close(), _base_spe_image_open(), and _base_spe_toe_ear().

The documentation for this struct was generated from the following file:

- libspe2-types.h